cvp.vo

## Class RicoveroResponse

- java.lang.Object
- - cvp.vo.RicoveroResponse

-     public class RicoveroResponse
      extends java.lang.Object

  Risposta del web-service getRicovero.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `annoRicovero` Anno del ricovero, elemento obbligatorio.
    `private Assistito` | `assistito` Contiene i dati anagrafici dell'assistito che ha subito il ricovero, elemento obbligatorio.
    `private java.lang.String` | `codDRG` Codice del DRG, elemento facoltativo.
    `private java.lang.String` | `codIstitutoRicovero` Codice dell'istituto presso il quale l'assistito è stato ricoverato, elemento obbligatorio.
    `private java.lang.String` | `codModalitaDimissione` Identifica la modalità di dimissione, elemento obbligatorio.
    `private java.lang.String` | `codMotivoRicovero` Motivo del ricovero in day hospital, elemento obbligatorio.
    `private java.lang.String` | `codProvenienzaPaziente` Provenienza del paziente, elemento obbligatorio.
    `private java.lang.String` | `codRegimeRicovero` Identifica il regime di ricovero, elemento obbligatorio.
    `private java.lang.String` | `codRiscontroAutoptico` Identifica la modalità di dimissione, elemento facoltativo.
    `private java.lang.String` | `codTipoRicoveroOrdinario` Tipo di ricovero ordinario, elemento facoltativo.
    `private java.lang.String` | `codTraumatismoIntossicazione` Codice del traumatismo e/o intossicazione, elemento facoltativo.
    `private java.lang.String` | `dataAccettazione` Data di accettazione del ricovero, elemento obbligatorio.
    `private java.lang.String` | `dataDimissione` Data di dimissione del paziente, elemento obbligatorio.
    `private java.lang.String` | `IUP` Indentificativo univoco della prescrizione, elemento obbligatorio.
    `private java.lang.String` | `nrGiorniDh` Numero di giorni di accesso in caso di ricovero day-hospital, elemento facoltativo.
    `private java.lang.String` | `nrNosologico` Indentifica in maniera univoca il ricovero, elemento obbligatorio.
    `private java.lang.String` | `pesoNascita` Peso alla nascita, elemento facoltativo.
    `private RepartoAmmissione` | `repartoAmmissione` Reparto di ammissione del ricovero, elemento obbligatorio.
    `private RepartoDimissioneRicovero` | `repartoDimissione` Reparto di dimissione, elemento obbligatorio.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RicoveroResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAnnoRicovero()`
    `Assistito` | `getAssistito()`
    `java.lang.String` | `getCodDRG()`
    `java.lang.String` | `getCodIstitutoRicovero()`
    `java.lang.String` | `getCodModalitaDimissione()`
    `java.lang.String` | `getCodMotivoRicovero()`
    `java.lang.String` | `getCodProvenienzaPaziente()`
    `java.lang.String` | `getCodRegimeRicovero()`
    `java.lang.String` | `getCodRiscontroAutoptico()`
    `java.lang.String` | `getCodTipoRicoveroOrdinario()`
    `java.lang.String` | `getCodTraumatismoIntossicazione()`
    `java.lang.String` | `getDataAccettazione()`
    `java.lang.String` | `getDataDimissione()`
    `java.lang.String` | `getIUP()`
    `java.lang.String` | `getNrGiorniDh()`
    `java.lang.String` | `getNrNosologico()`
    `java.lang.String` | `getPesoNascita()`
    `RepartoAmmissione` | `getRepartoAmmissione()`
    `RepartoDimissioneRicovero` | `getRepartoDimissione()`
    `void` | `setAnnoRicovero(java.lang.String annoRicovero)`
    `void` | `setAssistito(Assistito assistito)`
    `void` | `setCodDRG(java.lang.String codDRG)`
    `void` | `setCodIstitutoRicovero(java.lang.String codIstitutoRicovero)`
    `void` | `setCodModalitaDimissione(java.lang.String codModalitaDimissione)`
    `void` | `setCodMotivoRicovero(java.lang.String codMotivoRicovero)`
    `void` | `setCodProvenienzaPaziente(java.lang.String codProvenienzaPaziente)`
    `void` | `setCodRegimeRicovero(java.lang.String codRegimeRicovero)`
    `void` | `setCodRiscontroAutoptico(java.lang.String codRiscontroAutoptico)`
    `void` | `setCodTipoRicoveroOrdinario(java.lang.String codTipoRicoveroOrdinario)`
    `void` | `setCodTraumatismoIntossicazione(java.lang.String codTraumatismoIntossicazione)`
    `void` | `setDataAccettazione(java.lang.String dataAccettazione)`
    `void` | `setDataDimissione(java.lang.String dataDimissione)`
    `void` | `setIUP(java.lang.String IUP)`
    `void` | `setNrGiorniDh(java.lang.String nrGiorniDh)`
    `void` | `setNrNosologico(java.lang.String nrNosologico)`
    `void` | `setPesoNascita(java.lang.String pesoNascita)`
    `void` | `setRepartoAmmissione(RepartoAmmissione repartoAmmissione)`
    `void` | `setRepartoDimissione(RepartoDimissioneRicovero repartoDimissione)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nrNosologico

          private java.lang.String nrNosologico

      Indentifica in maniera univoca il ricovero, elemento obbligatorio.

    - #### IUP

          private java.lang.String IUP

      Indentificativo univoco della prescrizione, elemento obbligatorio.

    - #### assistito

          private Assistito assistito

      Contiene i dati anagrafici dell'assistito che ha subito il ricovero, elemento obbligatorio.

    - #### dataAccettazione

          private java.lang.String dataAccettazione

      Data di accettazione del ricovero, elemento obbligatorio.

    - #### codIstitutoRicovero

          private java.lang.String codIstitutoRicovero

      Codice dell'istituto presso il quale l'assistito è stato ricoverato, elemento obbligatorio.

    - #### repartoAmmissione

          private RepartoAmmissione repartoAmmissione

      Reparto di ammissione del ricovero, elemento obbligatorio.

    - #### codRegimeRicovero

          private java.lang.String codRegimeRicovero

      Identifica il regime di ricovero, elemento obbligatorio. Può assumere i seguenti valori: 1=Ordinario; 2=Day-Hospital.

    - #### dataDimissione

          private java.lang.String dataDimissione

      Data di dimissione del paziente, elemento obbligatorio.

    - #### repartoDimissione

          private RepartoDimissioneRicovero repartoDimissione

      Reparto di dimissione, elemento obbligatorio.

    - #### codModalitaDimissione

          private java.lang.String codModalitaDimissione

      Identifica la modalità di dimissione, elemento obbligatorio. Può assumere i seguenti valori: 1=Paziente deceduto; 2=Dimissione ordinaria al domicilio; 3=Dimissione ordinaria presso una RSA; 4=Dimissione al domicilio con attivazione di ospedalizzazione; 5=Dimissione volontaria; 6=Trasferimento ad altro istituto di ricovero per acuti; 7=Trasferimento ad altro regime o attività di ricovero nello stesso istituto; 8=Trasferimento ad un istituto di riabilitazione; 9=Dimissione ordinaria con attivazione di assistenza domiciliare integrata.

    - #### nrGiorniDh

          private java.lang.String nrGiorniDh

      Numero di giorni di accesso in caso di ricovero day-hospital, elemento facoltativo.

    - #### codRiscontroAutoptico

          private java.lang.String codRiscontroAutoptico

      Identifica la modalità di dimissione, elemento facoltativo. Può assumere i seguenti valori: 1=E' stata eseguita l'autopsia; 2=Non è stata eseguita l'autopsia

    - #### annoRicovero

          private java.lang.String annoRicovero

      Anno del ricovero, elemento obbligatorio.

    - #### codTraumatismoIntossicazione

          private java.lang.String codTraumatismoIntossicazione

      Codice del traumatismo e/o intossicazione, elemento facoltativo.

    - #### codTipoRicoveroOrdinario

          private java.lang.String codTipoRicoveroOrdinario

      Tipo di ricovero ordinario, elemento facoltativo.

    - #### codMotivoRicovero

          private java.lang.String codMotivoRicovero

      Motivo del ricovero in day hospital, elemento obbligatorio.

    - #### pesoNascita

          private java.lang.String pesoNascita

      Peso alla nascita, elemento facoltativo.

    - #### codProvenienzaPaziente

          private java.lang.String codProvenienzaPaziente

      Provenienza del paziente, elemento obbligatorio.

    - #### codDRG

          private java.lang.String codDRG

      Codice del DRG, elemento facoltativo.

  - ### Constructor Detail

    - #### RicoveroResponse

          public RicoveroResponse()

  - ### Method Detail

    - #### getNrNosologico

          public java.lang.String getNrNosologico()

    - #### setNrNosologico

          public void setNrNosologico(java.lang.String nrNosologico)

    - #### getIUP

          public java.lang.String getIUP()

    - #### setIUP

          public void setIUP(java.lang.String IUP)

    - #### getAssistito

          public Assistito getAssistito()

    - #### setAssistito

          public void setAssistito(Assistito assistito)

    - #### getDataAccettazione

          public java.lang.String getDataAccettazione()

    - #### setDataAccettazione

          public void setDataAccettazione(java.lang.String dataAccettazione)

    - #### getCodIstitutoRicovero

          public java.lang.String getCodIstitutoRicovero()

    - #### setCodIstitutoRicovero

          public void setCodIstitutoRicovero(java.lang.String codIstitutoRicovero)

    - #### getRepartoAmmissione

          public RepartoAmmissione getRepartoAmmissione()

    - #### setRepartoAmmissione

          public void setRepartoAmmissione(RepartoAmmissione repartoAmmissione)

    - #### getCodRegimeRicovero

          public java.lang.String getCodRegimeRicovero()

    - #### setCodRegimeRicovero

          public void setCodRegimeRicovero(java.lang.String codRegimeRicovero)

    - #### getDataDimissione

          public java.lang.String getDataDimissione()

    - #### setDataDimissione

          public void setDataDimissione(java.lang.String dataDimissione)

    - #### getRepartoDimissione

          public RepartoDimissioneRicovero getRepartoDimissione()

    - #### setRepartoDimissione

          public void setRepartoDimissione(RepartoDimissioneRicovero repartoDimissione)

    - #### getCodModalitaDimissione

          public java.lang.String getCodModalitaDimissione()

    - #### setCodModalitaDimissione

          public void setCodModalitaDimissione(java.lang.String codModalitaDimissione)

    - #### getNrGiorniDh

          public java.lang.String getNrGiorniDh()

    - #### setNrGiorniDh

          public void setNrGiorniDh(java.lang.String nrGiorniDh)

    - #### getCodRiscontroAutoptico

          public java.lang.String getCodRiscontroAutoptico()

    - #### setCodRiscontroAutoptico

          public void setCodRiscontroAutoptico(java.lang.String codRiscontroAutoptico)

    - #### getAnnoRicovero

          public java.lang.String getAnnoRicovero()

    - #### setAnnoRicovero

          public void setAnnoRicovero(java.lang.String annoRicovero)

    - #### getCodTraumatismoIntossicazione

          public java.lang.String getCodTraumatismoIntossicazione()

    - #### setCodTraumatismoIntossicazione

          public void setCodTraumatismoIntossicazione(java.lang.String codTraumatismoIntossicazione)

    - #### getCodTipoRicoveroOrdinario

          public java.lang.String getCodTipoRicoveroOrdinario()

    - #### setCodTipoRicoveroOrdinario

          public void setCodTipoRicoveroOrdinario(java.lang.String codTipoRicoveroOrdinario)

    - #### getCodMotivoRicovero

          public java.lang.String getCodMotivoRicovero()

    - #### setCodMotivoRicovero

          public void setCodMotivoRicovero(java.lang.String codMotivoRicovero)

    - #### getPesoNascita

          public java.lang.String getPesoNascita()

    - #### setPesoNascita

          public void setPesoNascita(java.lang.String pesoNascita)

    - #### getCodProvenienzaPaziente

          public java.lang.String getCodProvenienzaPaziente()

    - #### setCodProvenienzaPaziente

          public void setCodProvenienzaPaziente(java.lang.String codProvenienzaPaziente)

    - #### getCodDRG

          public java.lang.String getCodDRG()

    - #### setCodDRG

          public void setCodDRG(java.lang.String codDRG)